description

# Selection class Null safety

Annotations
  - @Native("Selection")

## Properties

anchorNode → Node?
  read-only
anchorOffset → int?
  read-only
baseNode → Node?
  read-only
baseOffset → int?
  read-only
extentNode → Node?
  read-only
extentOffset → int?
  read-only
focusNode → Node?
  read-only
focusOffset → int?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isCollapsed → bool?
  read-only
rangeCount → int?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
type → String?
  read-only

## Methods

addRange(Range range) → void
collapse(Node? node, [int? offset]) → void
collapseToEnd() → void
collapseToStart() → void
containsNode(Node node, [bool? allowPartialContainment]) → bool
deleteFromDocument() → void
empty() → void
extend(Node node, [int? offset]) → void
getRangeAt(int index) → Range
modify(String? alter, String? direction, String? granularity) → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeAllRanges() → void
removeRange(Range range) → void
selectAllChildren(Node node) → void
setBaseAndExtent(Node? baseNode, int baseOffset, Node? extentNode, int extentOffset) → void
setPosition(Node? node, [int? offset]) → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited